Bug 706232 - odd error when looking at current group config
odd error when looking at current group config
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: jon3 jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2011-05-19 16:11 EDT by John Mazzitelli
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-05-19 16:11:37 EDT
If I follow the replication procedures from bug #706193, I see this in the server log:

16:04:03,913 ERROR [ConfigurationManagerBean] Current Configuration for Resource[id=10004, type=RHQ Agent, key=RHQ Agent, name=RHQ Agent, parent=localhost, version=4.0.1-SNAPSHOT] does not match latest associated ResourceConfigurationUpdate with SUCCESS status.

This spits out everytime I go look at the current config for the group
Comment 1 John Mazzitelli 2011-05-20 10:34:32 EDT
ConfigurationManagerBean.

this is caused here:

                // If the live config is different than the persisted config, persist it as the new current config.
                ResourceConfigurationUpdate update = persistNewAgentReportedResourceConfiguration(memberResource,
                    liveConfig);
                if (update != null)
                    currentPersistedConfigs.put(memberResource.getId(), update.getConfiguration());
                else
                    log.error("Current Configuration for " + memberResource
                        + " does not match latest associated ResourceConfigurationUpdate with SUCCESS status.");
            }

The result of that call to the persist method (i.e "update" value), is null because of this:

        // If this update is not part of an group update, don't bother persisting a new entry if the Configuration
        // hasn't changed. If it's part of an group update, persist a new entry no matter what, so the group
        // update isn't missing any member updates.
        if (!isPartofGroupUpdate && current != null && newConfiguration.equals(current.getConfiguration())) {
            return null;
        }
Comment 2 Ian Springer 2011-05-23 16:12:26 EDT
I was seeing this too, but ever since the fix for bug #706193 went in, I am no longer able to reproduce it. Switching to ON_QA - if QE can reproduce it and provide better reproduction steps, I will look at it again.
Comment 3 Sunil Kondkar 2011-05-24 07:47:46 EDT
Verified on build#97 (Version: 4.1.0-SNAPSHOT Build Number: e89bbe0)

Created a compatible group of rhq agents and navigated to the configuration tab of the group. The error is not displayed. Also set an unset property and saved the group config. after group config update success, there is no such error in server log.

Marking as verified.
Comment 5 Heiko W. Rupp 2013-09-03 12:57:57 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.